# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

```
## [0.0.1] - 2018-12-10 
### Added
### Changed
### Deprecated
### Removed 
### Fixed
### Security
```

## [Unreleased]

## [0.8.1] - 2019-05-14
### Fixed
- Move auto-loading of composer to after path has been set.

## [0.8.0] - 2019-05-08
### Added
- Add first implantation of cache-invalidator plugin
- Add new support for nginx-config package

### Changed
- Updated use of "app-folder" to use new Network plugin
- Update out-of-the-box-support for redirects of migrated content
- Update gitignore to be more flexible when it comes to components and composer dependencies
- Start lock-down of minimum-versions of composer packages

### Fixed
- Minor fixes and Optimizations

## [0.7.0] - 2019-03-19
### Fixed
- Make sure to include the bin scripts and the make file into the build

## [0.6.0] - 2019-03-06
### Changed
- Update gulpfile with new config-support for child-themes
- Update with support for being created by Everyware installer
- Update dependencies

## [0.5.0] - 2019-02-07
### Changed
- App/Startup and Project-plugin/bootstrap now have to instantiate twigSetup and inject an instance of ViewSetup
- Minor changes to how you add folders, functions etc to Twig

## [0.4.0] - 2019-02-05
### Changed
- Move ProjectPlugin into MU-plugins and make sure Startup loads it
### Fixed
- Moved Path to Everyware Components in to plugins 
- Update information in Placeholder theme
- Update Everyware packages

## [0.3.0] - 2019-01-08
### Added 
- Added health.php for aws load balancer
- Update startup-theme to register its Startup to the "project" and by separating it by services. 
### Changed
- Separate startup-file into Network- and Theme-level and use new ProjectStartup from Everyware base to register them

## [0.2.0] - 2018-12-21 
### Added
- Added Interface for the theme startup to implement for smoother handling of registering theme startup.
- Added new Startup that implements new ThemeStartup Interface in startup theme.
- Added new Teaser for handling presentation of articles in the form of a teaser.
- Added function in Twig to render partial templates.
### Changed
- Implement function in Startup for running theme-startup.
- Implemented theme-specific startup in startup theme.
- Use NewsMLArticle to hold article data for ArticlePages.
- Update image data to be suitable for general use.
- Update ArticlePresentation class to use new NewsMLArticle as dependency. 
### Removed
- Moved Theme specific startup-functionality into the responsibility of the theme.

## [0.1.0] - 2018-12-19
First alpha version

### Added
- Added this file and boilerplate and markup example for the future
